Bug 64365 - insufficient logging in pam_shells
Summary: insufficient logging in pam_shells
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-02 22:30 UTC by Ben Woodard
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-02 23:25:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds some logging to the pam_shells patch. (766 bytes, patch)
2002-05-02 22:31 UTC, Ben Woodard
no flags Details | Diff

Description Ben Woodard 2002-05-02 22:30:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020326

Description of problem:
When pam shells checks if the user has a shell in /etc/shells it doesn't
adequately log its results. As a result debugging problems can take a long time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. give a user a shell which is not in /etc/shells
2. try to login with that user
3. look in the log files to see why the user can't login.
	

Actual Results:  Nothing is put in the log files

Expected Results:  something is put in the log files telling the SA why the user
was disallowed access.

Additional info:

Comment 1 Ben Woodard 2002-05-02 22:31:51 UTC
Created attachment 56246 [details]
Adds some logging to the pam_shells patch.

Comment 2 Mike Gahagan 2002-05-02 23:24:15 UTC
exists in later versions (i.e. rawhide pam-0.75-32) as well.


Comment 3 Matt Wilson 2002-05-20 15:37:21 UTC
0.75-32 is included in 7.3



Note You need to log in before you can comment on or make changes to this bug.